# GimpUi.EnumLabel

    const GimpUi = imports.gi.GimpUi;

    let enumLabel = new GimpUi.EnumLabel({
        enum_type: value,
        enum_value: value,
    });

A Gtk.Label subclass that displays an enum value.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Misc
        - Gtk.Label
          - GimpUi.EnumLabel

## Constructors

- GimpUi.EnumLabel.new

## Methods

- GimpUi.EnumLabel.prototype.set_value

## Properties

- enum-type
- enum-value